package MyGame;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**
 * Crea el midlet. 
 * @author  IntelligentSoft
 * @version 1.0 Final
 */
public class midMain extends MIDlet {
    clsCanvas myCanvas;
    
    /**
     * Inicia la aplicación creando un objeto clsCanvas 
     */
    public void startApp() {
        Display d = Display.getDisplay(this);
        myCanvas = new clsCanvas(this);
        myCanvas.start();
        d.setCurrent(myCanvas);
    }
    
    /**
     *Pausa la aplicacion
     */
    public void pauseApp() {
    }
    
    /**
     *  Termina la aplicacion y libera la memoria
     * @param unconditional flag, true si se desea destruir la app y false si no
     * se desea la destruccion, en este caso se produce una excepcion
     */
    public void destroyApp(boolean unconditional) {
        myCanvas = null;
        notifyDestroyed();
    }
}
